
Redmine - Feature #12122

Gantt progress lines (html only)

2012-10-17 11:40 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 80%

Category: Gantt Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed   

Description

This is a patch for trunk r10659.

Taken from the MS Project functionality descrition:

For the status date (today) of your project, it draws a progress line connecting in-progress tasks and tasks that should have started,

creating a graph on the Gantt Chart with peaks pointing to the left for work that is behind schedule and peaks pointing to the right for

work that is ahead of schedule.

The distance from the vertical line to the peak indicates the degree to which the task is ahead of or behind schedule as of the

progress or status date.

 

Related issues:

Related to Redmine - Feature #3436: Show relations in Gantt diagram Closed 2009-06-02

Related to Redmine - Feature #12816: Filter issues by progress state New

Associated revisions

Revision 11210 - 2013-01-20 13:30 - Jean-Philippe Lang

Gantt progress lines (#12122).

Patch by Toshi MARUYAMA.

Revision 11211 - 2013-01-20 13:31 - Jean-Philippe Lang

Removed duplicate HTML element id (#12122).

Revision 11212 - 2013-01-20 13:33 - Jean-Philippe Lang

Style should be applied to child legend only.

Revision 11213 - 2013-01-20 13:37 - Jean-Philippe Lang

Fills locales (#12122).
https://www.redmine.org/projects/redmine/repository/svn/revisions/10659
http://office.microsoft.com/en-us/project-help/about-progress-lines-HP001045770.aspx


Revision 11215 - 2013-01-20 13:55 - Jean-Philippe Lang

Changed fieldset legend and make it hidden by default like on the issue list (#12122).

Revision 11223 - 2013-01-20 15:34 - Toshi MARUYAMA

German translation updated by Daniel Felix (#12122)

Revision 11571 - 2013-03-09 11:44 - Jean-Philippe Lang

Preserve gantt options when changing filters (#12122).

Revision 11572 - 2013-03-09 11:45 - Jean-Philippe Lang

Merged r11571 from trunk (#12122).

History

#1 - 2012-10-17 13:49 - Go MAEDA

+1

#2 - 2012-10-17 14:12 - nobu masu

+1

#3 - 2012-10-17 15:36 - Jun NAITOH

+1

#4 - 2012-10-17 17:11 - Etienne Massip

Could you please describe the purpose?

To draw the critical path?

#5 - 2012-10-18 02:46 - Go MAEDA

Etienne Massip wrote:

Could you please describe the purpose?

 Microsoft Project has same feature. Please check the following url for the description of progress lines.

http://office.microsoft.com/en-us/project-help/about-progress-lines-HP001045770.aspx

#6 - 2012-10-18 09:25 - Etienne Massip

- Subject changed from Gantt progress line (html only) to Gantt progress lines (html only)

- Description updated

I didn't even know it existed, thanks.

You should add a checkbox to activate/deactivate this functionality and please make the JS code more readable (more explicit variable names and

some lines breaks) so it can be reviewed easily. For compression it can be uglified afterwards.

Change today_red_line id to a more general one (e.g. no color indication in the id).

#7 - 2012-10-18 22:53 - Jean-Philippe Lang

I don't really see the benefit of this feature, maybe displaying precedes/blocks relations (#3436) would be a better option to start improving the gantt

chart.

#8 - 2012-10-18 23:38 - Toshi MARUYAMA

Gantt progress line needs in Japanese enterprise.

Customer always requires it to developer.

#9 - 2012-11-02 12:07 - Daniel Felix

Just one suggestion. Those display could be switched. As a project manager I need sometimes different displays of my gantt. This could be some

implementation, another one could be those connected display.

The whole gantt could be sorted by start- or enddate, or maybe sorted by number. This would be a benefit too.
http://office.microsoft.com/en-us/project-help/about-progress-lines-HP001045770.aspx
https://www.redmine.org/issues/3436


#10 - 2012-11-26 23:51 - Toshi MARUYAMA

Daniel Felix wrote:

This could be some implementation, another one could be those connected display.

 It is #3436.

The whole gantt could be sorted by start- or enddate, or maybe sorted by number. This would be a benefit too.

 See #7335#note-16.

#11 - 2012-11-27 00:23 - Toshi MARUYAMA

- File progress-line-checkbox.png added

- File gantt-progress-line-html-r10880.diff added

This is a patch for trunk r10880.

I have added a checkbox to activate/deactivate this functionality

 progress-line-checkbox.png 

And I has changed JavaScript code (more explicit variable names).

#12 - 2012-12-03 14:22 - Toshi MARUYAMA

- File gantt-progress-line-html-r10927.diff added

This is a patch for trunk r10927.

Fixed drawing when gantt is scrolled.

#13 - 2012-12-05 11:52 - Toshi MARUYAMA

Jean-Philippe Lang wrote:

I don't really see the benefit of this feature, maybe displaying precedes/blocks relations (#3436) would be a better option to start improving the

gantt chart.

 I have posted a patch at #3436#note-22.

#14 - 2013-01-08 11:10 - Toshi MARUYAMA

- File gantt-progress-line-html-r11137.diff added

This is a patch rebased trunk r11137.

#15 - 2013-01-08 14:30 - Daniel Felix

 progress-line-checkbox.png 

After the recent changes, there should be two checkboxes.

1. Display Progress Lines

2. Display Relation Lines

Both could be a bit confusing for the enduser.

#16 - 2013-01-08 15:16 - Toshi MARUYAMA

- File gantt-progress-line-html-r11137-V2.diff added

- File gantt-progress-line-html-r11137-V2.png added

Daniel Felix wrote:

After the recent changes, there should be two checkboxes.

1. Display Progress Lines

2. Display Relation Lines

 Done.
https://www.redmine.org/issues/3436
https://www.redmine.org/issues/7335#note-16
https://www.redmine.org/projects/redmine/repository/svn/revisions/10880
https://www.redmine.org/projects/redmine/repository/svn/revisions/10927
https://www.redmine.org/issues/3436
This is a patch for trunk r11137.

 

#17 - 2013-01-08 15:20 - Etienne Massip

Daniel Felix wrote:

After the recent changes, there should be two checkboxes.

1. Display Progress Lines

2. Display Relation Lines

Both could be a bit confusing for the enduser.

 Patch looks nice to me, would love to have this option.

Would "only" miss handling the critical path of the version/project and we would have a full Gantt.

#18 - 2013-01-09 10:48 - Toshi MARUYAMA

- File gantt-progress-line-html-r11140.png added

- File gantt-progress-line-html-r11140.diff added

This is a patch for trunk r11140.

Changes:

On default, "Relations" checkbox is true, "progress line" checkbox is false.

Add "Relations" colors on checkbox.

It is difficult to know which color is "blocks" or "proceeds".

 

#19 - 2013-01-09 10:56 - Etienne Massip

- Target version set to Candidate for next major release

#20 - 2013-01-09 22:16 - Mischa The Evil

Daniel Felix wrote:

[...]

After the recent changes, there should be two checkboxes.

1. Display Progress Lines

2. Display Relation Lines

 If Gantt progress lines are being integrated (which I think is a good idea if it can be supported), I'd say yes.

Toshi MARUYAMA wrote:

This is a patch for trunk r11140.

Changes:

On default, "Relations" checkbox is true, "progress line" checkbox is false.

Add "Relations" colors on checkbox.

It is difficult to know which color is "blocks" or "proceeds".

[...]

 Looks good to me.
https://www.redmine.org/projects/redmine/repository/svn/revisions/11137
https://www.redmine.org/projects/redmine/repository/svn/revisions/11140
#21 - 2013-01-12 14:06 - Daniel Felix

Hi Toshi,

i just tried the latest patch. It works fine with r11165!

Thanks for your great work! Hope to see this in the next major. :-)

#22 - 2013-01-13 10:45 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.3.0

#23 - 2013-01-20 13:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Patch committed in trunk. Toshi, thanks for this new gantt improvement!

#24 - 2013-01-20 14:49 - Daniel Felix

German translation for r11213

label_gantt_progress_line: Fortschrittslinie

#25 - 2013-01-20 15:35 - Toshi MARUYAMA

Daniel Felix wrote:

German translation for r11213

label_gantt_progress_line: Fortschrittslinie

 Committed in trunk r11223, thanks.

#26 - 2013-03-06 02:19 - Gabriel Mazetto

BUG: If i change the filter and click apply, progress line state is not preserved

#27 - 2013-03-06 18:42 - Etienne Massip

- Status changed from Closed to Reopened

#28 - 2013-03-09 11:45 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Gabriel Mazetto wrote:

BUG: If i change the filter and click apply, progress line state is not preserved

 Fixed in r11571.

Files

gantt-progress-line-html.png 59 KB 2012-10-17 Toshi MARUYAMA

gantt-progress-line-html-r10659.diff 10 KB 2012-10-17 Toshi MARUYAMA

progress-line-checkbox.png 20.8 KB 2012-11-26 Toshi MARUYAMA

gantt-progress-line-html-r10880.diff 12.6 KB 2012-11-26 Toshi MARUYAMA

gantt-progress-line-html-r10927.diff 13 KB 2012-12-03 Toshi MARUYAMA

gantt-progress-line-html-r11137.diff 11.2 KB 2013-01-08 Toshi MARUYAMA

gantt-progress-line-html-r11137-V2.diff 12.5 KB 2013-01-08 Toshi MARUYAMA

gantt-progress-line-html-r11137-V2.png 8.06 KB 2013-01-08 Toshi MARUYAMA

gantt-progress-line-html-r11140.png 8.44 KB 2013-01-09 Toshi MARUYAMA

gantt-progress-line-html-r11140.diff 14.3 KB 2013-01-09 Toshi MARUYAMA

Powered by TCPDF (www.tcpdf.org)

2025-08-23 5/5

https://www.redmine.org/projects/redmine/repository/svn/revisions/11165
https://www.redmine.org/projects/redmine/repository/svn/revisions/11213
https://www.redmine.org/projects/redmine/repository/svn/revisions/11213
https://www.redmine.org/projects/redmine/repository/svn/revisions/11223
https://www.redmine.org/projects/redmine/repository/svn/revisions/11571
http://www.tcpdf.org

